PulseTestLocators.RedundancyZone (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.tools.pulse.tests

## Class PulseTestLocators.RedundancyZone

- java.lang.Object
- - org.apache.geode.tools.pulse.tests.PulseTestLocators.RedundancyZone

- Enclosing class:
    PulseTestLocators

      public static class PulseTestLocators.RedundancyZone
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `cpuUsageXpath`
    `static java.lang.String` | `graphTreeMapLblId`
    `static java.lang.String` | `gridButtonId`
    `static java.lang.String` | `heapUsageXpath`
    `static java.lang.String` | `hotSpotId`
    `static java.lang.String` | `hotspotListDivId`
    `static java.lang.String` | `idM1Xpath`
    `static java.lang.String` | `idM2Xpath`
    `static java.lang.String` | `idM3Xpath`
    `static java.lang.String` | `m1RZ1RZ2Id`
    `static java.lang.String` | `m2RZ1Id`
    `static java.lang.String` | `m3RZ2Id`
    `static java.lang.String` | `radioButtonId`
    `static java.lang.String` | `radioButtonXpath`
    `static java.lang.String` | `radioButtonXpathAlt`
    `static java.lang.String` | `zoneRZ1Id`
    `static java.lang.String` | `zoneRZ1RZ2Xpath`
    `static java.lang.String` | `zoneRZ2Id`
    `static java.lang.String` | `zoneRZ2Xpath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedundancyZone()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### radioButtonId

          public static final java.lang.String radioButtonId

      See Also:
        Constant Field Values

    - #### radioButtonXpathAlt

          public static final java.lang.String radioButtonXpathAlt

      See Also:
        Constant Field Values

    - #### radioButtonXpath

          public static final java.lang.String radioButtonXpath

      See Also:
        Constant Field Values

    - #### gridButtonId

          public static final java.lang.String gridButtonId

      See Also:
        Constant Field Values

    - #### zoneRZ1Id

          public static final java.lang.String zoneRZ1Id

      See Also:
        Constant Field Values

    - #### zoneRZ2Id

          public static final java.lang.String zoneRZ2Id

      See Also:
        Constant Field Values

    - #### zoneRZ1RZ2Xpath

          public static final java.lang.String zoneRZ1RZ2Xpath

      See Also:
        Constant Field Values

    - #### zoneRZ2Xpath

          public static final java.lang.String zoneRZ2Xpath

      See Also:
        Constant Field Values

    - #### m1RZ1RZ2Id

          public static final java.lang.String m1RZ1RZ2Id

      See Also:
        Constant Field Values

    - #### m2RZ1Id

          public static final java.lang.String m2RZ1Id

      See Also:
        Constant Field Values

    - #### m3RZ2Id

          public static final java.lang.String m3RZ2Id

      See Also:
        Constant Field Values

    - #### idM2Xpath

          public static final java.lang.String idM2Xpath

      See Also:
        Constant Field Values

    - #### idM1Xpath

          public static final java.lang.String idM1Xpath

      See Also:
        Constant Field Values

    - #### idM3Xpath

          public static final java.lang.String idM3Xpath

      See Also:
        Constant Field Values

    - #### hotSpotId

          public static final java.lang.String hotSpotId

      See Also:
        Constant Field Values

    - #### hotspotListDivId

          public static final java.lang.String hotspotListDivId

      See Also:
        Constant Field Values

    - #### heapUsageXpath

          public static final java.lang.String heapUsageXpath

      See Also:
        Constant Field Values

    - #### cpuUsageXpath

          public static final java.lang.String cpuUsageXpath

      See Also:
        Constant Field Values

    - #### graphTreeMapLblId

          public static final java.lang.String graphTreeMapLblId

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RedundancyZone

          public RedundancyZone()